/*
Theme Name: Flatsome Child
Description: Flatsome Child
Author: Flatsome
Template: flatsome
Version: 3.0
*/

/*************** ADD CUSTOM CSS HERE.   ***************/
.wp-dark-mode-active .header-logo {
  display: none;
}
.wp-dark-mode-active img.header-logo-dark {
  display: block !important;
}
.blog-single {
  padding-top: 0;
}
.blog-single .custombread {
  margin-bottom: 30px;
}
/*Custom font*/
body,
h1,
h2,
h3,
h4,
p,
li,
.nav > li > a {
  font-family: "Be Vietnam Pro", sans-serif !important;
  text-wrap: wrap;
}
/*Head*/
.header-wrapper .nav > li > ul > li > a {
  color: var(--primary-color);
  font-size: 95%;
}
.nav-dropdown-default {
  padding: 0px;
}
.header-wrapper .nav > li > ul > li > a:hover {
  color: var(--fs-color-secondary);
}
.wp-dark-mode-switcher.floating,
.wp-dark-mode-side-toggle-wrap.floating {
  position: fixed;
  bottom: unset;
  top: 30px;
}
/*Trang ch&#1073;��*/
.mainnews .postdate {
  display: none;
}
.box-blog-post .is-divider {
  display: none;
}
.subnews .subtitle .post-item h5.post-title {
  font-size: 14px;
  line-height: 1.5;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-line-clamp: 2;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  color: #fff;
}
.subnews .box-vertical {
  margin: 2px;
}
.subnews .box-vertical .box-image {
  border-radius: 7px 0 0 7px;
}
.subnews .box-vertical .box-text {
  border-radius: 0 7px 7px 0;
}
.mainnews .box-text {
  background: var(--primary-color);
  border-radius: 0 0 10px 10px;
}
.mainnews .has-hover:hover .hover-invert {
  -webkit-filter: invert(0);
  filter: unset !important;
  background-color: var(--fs-color-secondary) !important;
  background: var(--fs-color-secondary);
}
.lightmode .homeheadlines {
  background-image: none;
  background-color: #fff;
  border-bottom: 1px solid #ccc;
}

.section-title-normal span {
  margin-right: 0;
  padding-bottom: 0;
  border-bottom: 0;
  margin-bottom: 0;
  margin-left: 42px;
  text-transform: uppercase;
  font-weight: normal;
  padding: 18px 0 0px 1px;
}
.section-title-normal {
  border-bottom: 0;
}
.hometitle {
  color: #0c0c0c;
  background: url(/wp-content/uploads/2025/02/finacon.png) left center no-repeat;
  background-size: 35px !important;
}
.homelogo .col-inner {
  background: var(--primary-color);
  padding: 0px 35px;
  border-radius: 15px;
}
a.button.white.is-large.lowercase.readmore {
  /* position: absolute; */
  margin-bottom: -20px;
  font-weight: 400;
  /* margin-right: 10px; */
}
.onchain-research {
  border: 2px solid var(--primary-color);
  border-radius: 15px;
  padding: 20px 20px 0px 20px;
}
.postdate:before {
  content: "\f017";
  font-family: "FontAwesome";
  margin-right: 5px;
  font-style: normal;
}
.postdate {
  opacity: 0.7;
  font-style: italic;
  font-size: 90%;
}
.logo img {
  border-radius: 10px;
}

.section-title a {
  font-size: 14px;
  margin-bottom: -12px;
  font-weight: 500;
}
.nav-vertical.nav-line > li > a:before,
.section-title i.icon-angle-right {
  display: none;
}
.kienthuc .next {
  top: -40px;
  bottom: auto;
  width: 20px;
  height: 20px;
  right: 20px;
}
.kienthuc .previous {
  right: 42px !important;
  top: -40px;
  bottom: auto;
  left: auto;
  width: 20px;
  height: 20px;
  right: 30px;
}
.kienthuc .next svg,
.kienthuc .previous svg {
  background: rgb(0, 0, 0, 0.5);
}
.kienthuc h3 {
  text-transform: uppercase !important;
  font-weight: normal;
  font-size: 16px;
  margin-bottom: 15px;
  color: #0c0c0c !important;
}
.kienthuc img {
  border-radius: 10px;
}
/*H&#1043;�nh cho tab*/
.nav-vertical > li + li,
.nav-vertical-fly-out > li + li {
  padding: 5px;
  height: 33%;
  border-top: 0;
}
.tab-feedback .nav-vertical + .tab-panels {
  border-left: 0;
}

.tab-feedback .tab-panels {
  order: 0;
}
.tab-feedback .nav.nav-vertical {
  order: 2;
  margin-left: 1px;
  margin-right: -1px;
  background: #0e182d;
  max-height: 545px;
  overflow: hidden;
  flex-flow: row-reverse wrap;
}
/*.tab-feedback ul li:nth-child(1).tab a:before,
.tab-feedback .tab span:before {
  content: " ";
  display: block;
  height: 80px;
  background: url(/wp-content/uploads/2022/08/2022-04-02-15.04.27-300x169.jpg)
    center center no-repeat;
  background-size: contain;
  width: 141px;
  text-align: center;
  margin-left: -50%;
  position: absolute;
}*/
.tab-feedback .tab span {
  text-align: left;
  display: block;
  align-items: center;
  padding: 0 15px;
  font-size: 14px;
  text-transform: lowercase;
  font-weight: 500;
}
.tab-feedback .nav-vertical + .tab-panels {
  margin-top: 0 !important;
  border-left: 0;
  padding: 0px 1px 0px;
}
.doitac .flickity-prev-next-button svg,
.doitac .flickity-prev-next-button .arrow {
  border-color: #ffff;
  fill: #ffff;
  -webkit-transition: all 0.3s;
  -o-transition: all 0.3s;
  transition: all 0.3s;
  background: var(--primary-color);
  opacity: 1 !important;
  opacity: 1 !important;
}
.doitac .slider-nav-outside .flickity-prev-next-button.previous {
  margin-right: 35px;
}
.doitac .slider-nav-outside .flickity-prev-next-button {
  margin-left: 35px;
}
.absolute-footer.dark {
  color: #fff;
}
/*Chuy&#1043;&#1028;n m&#1073;�&#1168;c*/
.lightmode .hometitle {
  color: #0c0c0c;
  background: url(/wp-content/uploads/2022/08/darkicon.png) left center
    no-repeat;
  background-size: 35px !important;
  padding: 25px 0 15px 45px;
}
.hometitle span {
  font-size: 28px !important;
  font-weight: 500;
  margin-left: 45px;
}
/* Shine */
.shine .box-image {
  position: relative;
}
.shine .box-image::before {
  position: absolute;
  top: 0;
  left: -75%;
  z-index: 2;
  display: block;
  content: "";
  width: 50%;
  height: 100%;
  background: -webkit-linear-gradient(
    left,
    rgba(255, 255, 255, 0) 0%,
    rgba(255, 255, 255, 0.3) 100%
  );
  background: linear-gradient(
    to right,
    rgba(255, 255, 255, 0) 0%,
    rgba(255, 255, 255, 0.3) 100%
  );
  -webkit-transform: skewX(-25deg);
  transform: skewX(-25deg);
}
.shine .box-image:hover::before {
  -webkit-animation: shine 0.75s;
  animation: shine 0.75s;
}
@-webkit-keyframes shine {
  100% {
    left: 125%;
  }
}
@keyframes shine {
  100% {
    left: 125%;
  }
}
@-webkit-keyframes shine {
  100% {
    left: 125%;
  }
}
@keyframes shine {
  100% {
    left: 125%;
  }
}
.shine .box-image {
  border-radius: 10px;
  height: 80% !important;
  width: 35% !important;
}
.shine .box-text-inner {
  display: flex;
  flex-wrap: wrap;
}
.shine .post-title {
  order: 1;
}
.shine .postdate {
  order: 2;
}
.shine .from_the_blog_excerpt {
  font-size: 13px;
  max-height: 42px;
  -webkit-line-clamp: 2;
  order: 3;
}

.shine .box-vertical .box-text {
  vertical-align: top;
}
.shine .is-large:hover {
  /* font-size: 1.15em; */
  color: var(--primary-color);
}
.sidebar img {
  border-radius: 10px;
}
.sidebar .is-large {
  font-size: 1.15em;
  font-weight: 500;
}
.nav-pagination > li > .current,
.nav-pagination > li > span:hover,
.nav-pagination > li > a:hover {
  border-color: var(--primary-color);
  background-color: var(--primary-color);
  color: #fff;
}
.nav-pagination > li > span,
.nav-pagination > li > a {
  border-radius: 5px;
  border: 2px solid var(--primary-color);
}
.custombread .page-wrapper {
  padding-top: 0px;
}
.custombread .bread-inner {
  margin: auto;
  max-width: 1250px;
  padding: 10px 20px 0;
  margin-bottom: -10px;
}
.custombread {
  background: transparent;
  border-bottom: 1px solid #ccc;
}
.text-left .is-divider,
h6.entry-category.is-xsmall {
  display: none;
}
.entry-title {
  font-size: 140%;
  font-weight: normal;
}
.blog-archive {
  padding-top: 0px;
}
.blog-archive .page-title {
  margin-top: 20px;
}

/*M&#1043;�u t&#1073;��i*/
.wp-dark-mode-active .homeheadlines {
  background-color: rgb(36, 37, 37);
  border-bottom-color: rgb(72, 75, 75);
  background: url(/wp-content/uploads/2022/08/bg.png) center center no-repeat;
  background-size: cover !important;
  padding: 60px 0 60px 0;
}
.wp-dark-mode-active .section-title-normal span {
  color: white;
}
.wp-dark-mode-active .postdate,
.wp-dark-mode-active .onchain-research {
  border-color: rgb(183 177 177);
  color: #c3c2c0;
}
.wp-dark-mode-active .shine .from_the_blog_excerpt,
.wp-dark-mode-active .is-large {
  color: white;
}

.cta-checkbox {
  position: fixed;
  bottom: 54px;
  right: 15px;
  z-index: 99;
  width: 40px;
  height: 40px;
  opacity: 0;
  cursor: pointer !important;
}
.openclose {
  z-index: 90;
  position: fixed;
  bottom: 70px;
  right: 25px;
  width: 40px;
  height: 40px;
  display: inline-block;
  border-radius: 50%;
  cursor: pointer !important;
  background-size: 25px !important;
}
.open {
  animation-name: zoom;
  -webkit-animation-name: zoom;
  animation-delay: 0s;
  -webkit-animation-delay: 0s;
  animation-duration: 1.5s;
  -webkit-animation-duration: 1.5s;
  animation-iteration-count: infinite;
  -webkit-animation-iteration-count: infinite;
  cursor: pointer !important;
  box-shadow: 0 0 0 0 var(--primary-color);
}
.close {
  display: none;
}
.cta-checkbox:checked ~ .close {
  display: block;
}
.cta-checkbox:checked ~ .open {
  display: none;
}
.cta-checkbox:checked ~ .ctabg {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.9);
  z-index: 1;
  display: block;
}
.cta-checkbox:checked ~ .ctaicons {
  display: block;
}
.ctaicons {
  position: fixed;
  right: 0;
  width: 300px;
  z-index: 10;
  display: none;
  bottom: 115px;
}
.cta-action {
  z-index: 90;
  color: #fff !important;
  height: 40px;
  width: 215px;
  text-align: right;
  display: block;
  float: right;
  width: 100%;
  margin-right: 28px;
  margin-bottom: 5px;
}
.ctaicon {
  display: inline-block;
  z-index: 90;
  position: relative;
  border-radius: 50%;
  background: var(--primary-color);
  width: 35px;
  height: 35px;

  animation-name: zoom;
  -webkit-animation-name: zoom;
  animation-delay: 0s;
  -webkit-animation-delay: 0s;
  animation-duration: 1.5s;
  -webkit-animation-duration: 1.5s;
  animation-iteration-count: infinite;
  -webkit-animation-iteration-count: infinite;
  cursor: pointer;
  box-shadow: 0 0 0 0 var(--primary-color);
}
.ctaicon img {
  max-width: 35px;
  padding: 5px;
}
@-webkit-keyframes zoom {
  0% {
    transform: scale(0.9);
  }
  70% {
    transform: scale(1);
    box-shadow: 0 0 0 15px transparent;
  }
  100% {
    transform: scale(0.9);
    box-shadow: 0 0 0 0 transparent;
  }
}
@keyframes zoom {
  0% {
    transform: scale(0.9);
  }
  70% {
    transform: scale(1);
    box-shadow: 0 0 0 15px transparent;
  }
  100% {
    transform: scale(0.9);
    box-shadow: 0 0 0 0 transparent;
  }
}
/* Shine */
.shine .box-image {
  position: relative;
}
.shine .box-image::before {
  position: absolute;
  top: 0;
  left: -75%;
  z-index: 2;
  display: block;
  content: "";
  width: 50%;
  height: 100%;
  background: -webkit-linear-gradient(
    left,
    rgba(255, 255, 255, 0) 0%,
    rgba(255, 255, 255, 0.3) 100%
  );
  background: linear-gradient(
    to right,
    rgba(255, 255, 255, 0) 0%,
    rgba(255, 255, 255, 0.3) 100%
  );
  -webkit-transform: skewX(-25deg);
  transform: skewX(-25deg);
}
.shine .box-image:hover::before {
  -webkit-animation: shine 0.75s;
  animation: shine 0.75s;
}
@-webkit-keyframes shine {
  100% {
    left: 125%;
  }
}
@keyframes shine {
  100% {
    left: 125%;
  }
}
@-webkit-keyframes shine {
  100% {
    left: 125%;
  }
}
@keyframes shine {
  100% {
    left: 125%;
  }
}
.off-canvas-left .mfp-content .form-flat input:not([type="submit"]),
.off-canvas-left .mfp-content .form-flat textarea,
.off-canvas-left .mfp-content .form-flat select {
  border-color: #fff;
}
.off-canvas-left ::placeholder,
.off-canvas-left .icon-search {
  color: #fff;
}
.off-canvas-left .mfp-content,
.off-canvas-left .mfp-content {
  width: 100% !important;
  background: var(--primary-color) !important;
}
.off-canvas-cart {
  background: #fff !important;
  width: 100% !important;
}
.off-canvas-cart a {
  color: #000 !important;
}
.off-canvas-cart .button a {
  color: #fff !important;
}
.off-canvas-right .mfp-content a,
.off-canvas-left .mfp-content a,
.off-canvas-left .mfp-content .toggle {
  color: #fff;
  opacity: 1;
  font-size: 100%;
  font-weight: 500;
}
.off-canvas-right .mfp-content a:hover,
.off-canvas-left .mfp-content a:hover,
.off-canvas-right .mfp-content .current-menu-item > a,
.off-canvas-left .mfp-content .current-menu-item > a,
.off-canvas-right .mfp-content .current-menu-parent > a,
.off-canvas-left .mfp-content .current-menu-parent > a,
.off-canvas-right .mfp-content .active > a,
.off-canvas-left .mfp-content .active > a {
  color: var(--fs-color-secondary);
}
.nav-sidebar {
  display: block;
}
.nav-sidebar .sub-menu li a {
  text-transform: none !important;
  font-size: 95% !important;
  color: #fff !important;
  font-weight: 500 !important;
}
.nav-sidebar .sub-menu li a:hover,
.nav-sidebar .sub-menu li.current-menu-item > a {
  color: var(--fs-color-secondary) !important;
}
@media only screen and (max-width: 48em) {
  /*************** ADD MOBILE ONLY CSS HERE  ***************/
}

.entry-content {
  color: #212529;
  font-size: 15px;
  font-weight: 400;
  line-height: 28px;
}

.entry-content h2,
.entry-content h3,
.entry-content h4 {
  font-weight: 700;
  color: #333;
  margin-bottom: 15px;
  color: var(--primary-color);
}

.entry-content figure {
  background: #fff;
  border: 1px solid #f0f0f0;
  padding: 5px 3px 10px;
  text-align: center;
}

.entry-content h6 {
  font-size: 15px;
}

.entry-content h5 {
  font-size: 17px;
}

.entry-content h4 {
  font-size: 17px;
}

.entry-content h3 {
  font-size: 18px;
}

.entry-content h2 {
  font-size: 20px;
  line-height: 1.5;
}

.entry-content h1 {
  font-size: 25px;
  font-weight: 700;
  color: #333;
  margin-bottom: 15px;
}

.entry-content p {
  color: #333;
  margin-bottom: 15px;
  font-size: 16.5px;
  line-height: 1.6;
}

.entry-content ul {
  list-style: disc;
  padding-left: 15px;
  padding-bottom: 5px;
}

.entry-content ul li {
  color: #333;
  line-height: 1.5;
  margin-bottom: 10px;
  font-size: 16.5px;
}

.entry-content ul li a {
  color: #007bff;
}

.entry-content ol {
  list-style: decimal;
  padding-left: 18px;
  padding-bottom: 5px;
  font-size: 16.5px;
}

.entry-content ol li {
  color: #333;
  line-height: 1.5;
  margin-bottom: 10px;
  font-size: 16.5px;
}

.entry-content ol li a {
  color: #ff5912;
}

.entry-content a {
  font-weight: 700;
}

.entry-content blockquote {
  background: #f3f3f3;
  color: #868686;
  display: block;
  font-size: 16px;
  line-height: 23px;
  margin: 0 0 20px;
  padding: 15px 20px 15px 45px;
  position: relative;
  text-align: justify;
}

.entry-content blockquote p {
  margin-bottom: 0;
}

.entry-content blockquote:before {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 3px;
  background: var(--primary-color);
  content: "";
}

.entry-content code {
  background: rgba(0, 0, 0, 0.05);
  border-radius: 3px;
  font-size: 0.85rem;
  color: #e83e8c;
  font-size: 15px;
}
.entry-content table {
  display: block;
  width: 100%;
  height: auto;
  overflow: auto;
}
table > tbody > tr > td,
table > tbody > tr > th,
table > tfoot > tr > td,
table > tfoot > tr > th,
table > thead > tr > td,
table > thead > tr > th {
  border: 1px solid #ddd;
  padding: 7px 10px !important;
  font-size: 16.5px !important;
  width: auto !important;
}

.entry-content iframe {
  margin: auto;
}

.entry-content .syntaxhighlighter {
  padding: 10px 0;
}
